# Uses of Enum
com.databricks.jdbc.common.CommandName

Packages that use CommandName
Package
Description
com.databricks.jdbc.common
com.databricks.jdbc.dbclient.impl.common

## Uses of CommandName in com.databricks.jdbc.common

Subclasses with type arguments of type CommandName in com.databricks.jdbc.common
Modifier and Type
Class
Description
`enum`
`CommandName`
Fields in com.databricks.jdbc.common with type parameters of type CommandName
Modifier and Type
Field
Description
`static final Map<CommandName,List<ResultColumn>>`
MetadataResultConstants.`NON_NULLABLE_COLUMNS_MAP`
Methods in com.databricks.jdbc.common that return CommandName
Modifier and Type
Method
Description
`static CommandName`
CommandName.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CommandName[]`
CommandName.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of CommandName in com.databricks.jdbc.dbclient.impl.common

Methods in com.databricks.jdbc.dbclient.impl.common with parameters of type CommandName
Modifier and Type
Method
Description
`DatabricksResultSet`
MetadataResultSetBuilder.`getResultSetWithGivenRowsAndColumns(List<ResultColumn> columns, List<List<Object>> rows, String statementId, CommandName commandName)`